Loading...
Searching...
No Matches
DecodeMngrFullDcdExCfg< P, Pt, Pc, PcEx, PcSt, PktProc, PktDcd > Class Template Reference

`#include <ocsd_dcd_mngr.h>`

Inheritance diagram for DecodeMngrFullDcdExCfg< P, Pt, Pc, PcEx, PcSt, PktProc, PktDcd >:
[legend]
Collaboration diagram for DecodeMngrFullDcdExCfg< P, Pt, Pc, PcEx, PcSt, PktProc, PktDcd >:
[legend]

## Public Member Functions

| DecodeMngrFullDcdExCfg (const std::string &name, ocsd_trace_protocol_t builtInProtocol)
virtual | ~DecodeMngrFullDcdExCfg ()
virtual TraceComponent * | createPktProc (const bool useInstID, const int instID)
virtual TraceComponent * | createPktDecode (const bool useInstID, const int instID)
virtual CSConfig * | createConfig (const void *pDataStruct)
Public Member Functions inherited from DecoderMngrBase< P, Pt, Pc >
| DecoderMngrBase (const std::string &decoderTypeName, ocsd_trace_protocol_t builtInProtocol)
virtual | ~DecoderMngrBase ()
virtual ocsd_err_t | createDecoder (const int create_flags, const int instID, const CSConfig *p_config, TraceComponent **p_component)
virtual ocsd_err_t | destroyDecoder (TraceComponent *p_component)
virtual const ocsd_trace_protocol_t | getProtocolType () const
| Get the built in protocol type ID managed by this instance - extern for custom decoders.
virtual ocsd_err_t | attachErrorLogger (TraceComponent *pComponent, ITraceErrorLog *pIErrorLog)
| attach error logger to ptk-processor, or both of pkt processor and pkt decoder pair
virtual ocsd_err_t | attachInstrDecoder (TraceComponent *pComponent, IInstrDecode *pIInstrDec)
| attach instruction decoder to pkt decoder
virtual ocsd_err_t | attachMemAccessor (TraceComponent *pComponent, ITargetMemAccess *pMemAccessor)
| attach memory accessor to pkt decoder
virtual ocsd_err_t | attachOutputSink (TraceComponent *pComponent, ITrcGenElemIn *pOutSink)
| attach generic output interface to pkt decoder
virtual ocsd_err_t | attachPktMonitor (TraceComponent *pComponent, ITrcTypedBase *pPktRawDataMon)
| attach a raw packet monitor to pkt processor (solo pkt processor, or pkt processor part of pair)
virtual ocsd_err_t | attachPktIndexer (TraceComponent *pComponent, ITrcTypedBase *pPktIndexer)
| attach a packet indexer to pkt processor (solo pkt processor, or pkt processor part of pair)
virtual ocsd_err_t | attachPktSink (TraceComponent *pComponent, ITrcTypedBase *pPktDataInSink)
| attach a packet data sink to pkt processor output (solo pkt processor only - instead of decoder when pkt processor only created.)
virtual ocsd_err_t | getDataInputI (TraceComponent *pComponent, ITrcDataIn **ppDataIn)
| get raw data input interface from packet processor
virtual ocsd_err_t | createConfigFromDataStruct (CSConfig **pConfigBase, const void *pDataStruct)
Public Member Functions inherited from IDecoderMngr
| IDecoderMngr ()
virtual | ~IDecoderMngr ()

## Detailed Description

template<class P, class Pt, class Pc, class PcEx, class PcSt, class PktProc, class PktDcd>
class DecodeMngrFullDcdExCfg< P, Pt, Pc, PcEx, PcSt, PktProc, PktDcd >

Definition at line 373 of file ocsd_dcd_mngr.h.

## Constructor & Destructor Documentation

## DecodeMngrFullDcdExCfg()

template<class P , class Pt , class Pc , class PcEx , class PcSt , class PktProc , class PktDcd >

DecodeMngrFullDcdExCfg< P, Pt, Pc, PcEx, PcSt, PktProc, PktDcd >::DecodeMngrFullDcdExCfg | ( | const std::string & | name,
|  | ocsd_trace_protocol_t | builtInProtocol
| ) |  |

inline

Definition at line 376 of file ocsd_dcd_mngr.h.

## ~DecodeMngrFullDcdExCfg()

template<class P , class Pt , class Pc , class PcEx , class PcSt , class PktProc , class PktDcd >

virtual DecodeMngrFullDcdExCfg< P, Pt, Pc, PcEx, PcSt, PktProc, PktDcd >::~DecodeMngrFullDcdExCfg | ( |  | ) |

inline virtual

Definition at line 379 of file ocsd_dcd_mngr.h.

## Member Function Documentation

## createConfig()

template<class P , class Pt , class Pc , class PcEx , class PcSt , class PktProc , class PktDcd >

virtual CSConfig * DecodeMngrFullDcdExCfg< P, Pt, Pc, PcEx, PcSt, PktProc, PktDcd >::createConfig | ( | const void * | pDataStruct | ) |

inline virtual

Implements DecoderMngrBase< P, Pt, Pc >.

Definition at line 401 of file ocsd_dcd_mngr.h.

## createPktDecode()

template<class P , class Pt , class Pc , class PcEx , class PcSt , class PktProc , class PktDcd >

virtual TraceComponent * DecodeMngrFullDcdExCfg< P, Pt, Pc, PcEx, PcSt, PktProc, PktDcd >::createPktDecode | ( | const bool | useInstID,
|  | const int | instID
| ) |  |

inline virtual

Reimplemented from DecoderMngrBase< P, Pt, Pc >.

Definition at line 391 of file ocsd_dcd_mngr.h.

## createPktProc()

template<class P , class Pt , class Pc , class PcEx , class PcSt , class PktProc , class PktDcd >

virtual TraceComponent * DecodeMngrFullDcdExCfg< P, Pt, Pc, PcEx, PcSt, PktProc, PktDcd >::createPktProc | ( | const bool | useInstID,
|  | const int | instID
| ) |  |

inline virtual

Implements DecoderMngrBase< P, Pt, Pc >.

Definition at line 381 of file ocsd_dcd_mngr.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/common/ocsd_dcd_mngr.h